Subject: RE: problems starting gnu commands remotely / trough network
From: [email-masked] (Thomas Vetter)

1 Jul 1997 00:13:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

last Friday I wrote :

> Hi,
> 
> I have just installed gnuwin32 on a winnt 4.0 system to port my unix sources to nt.
> My sources are located on a unix system (sun solaris). To access the sources from
> nt I use samba. I created links on nt to get the same directory structure as 
> in our Unix environment 
> To administrate my sources I have an own development kit based on a lot of
> csh scripts using sccs and gcc. To compile a source a script will be created on the
> unix system which will be started on the destination system (nt) using rsh.
> Therefore I use a rshd for nt. The compiling sequence works for about 3-5 times ok.
> But then the remote on the nt system started script aborts and the 
> following error message appears in a window on the screen of the nt system:
> 
>	The Application can't be initialized correct (0x0000022). 
>	          Press 'OK' to finish the Application
> 
> In the DOS-Window where I had started the rshd by hand the following message appeared :
> 
>	fork_helper: child died before initialisation with win32 error 128
> 
> This happens for every gnu-application started remotely by a batch-job (gcc,ar,mv,...).
> Starting standard programs and commands from nt (cd,dir,...) by a batch-job via rsh the
> error doesn't occure. So I think the problem isn't the rshd (... I tested several ones).
> The problem seems to be the gnu commands or the workaround where they are started.
> 
> Reading the mailing list archives I didn't find a description for this problem.
> Is there anybody who can help me solving this problem ?
> 
> 
> 
> Thomas
> 
> 
> 
> Thomas Vetter ([email-masked] or http://thomasvetter.aat-f.aeg-f.de)

The tests I made during the last days shows me that the problems seems to depend
on the use of network devices (samba mounts from a sun), because starting a small
batch control script direct from the command shell from nt results in the same
error like starting it remotely using rshd.

here is the script :

Z:
cd Z:\WNT\GES\COMMON\SRC
rm -f clb_fsize.o ../OBJW32/clb_fsize.o
gcc -Wall -c -DW32 -fno-builtin -I/home/frds09/VS750/WNT/GES/COMMON/INC -I/home/frds09/VS750/WNT/DM/COMMON/INC -I/home/frds09/VS750/WNT/RM2/COMMON/INC -I/home/frds09/VS750/WNT/PROCOM/COMMON/INC clb_fsize.c > vs_tv_ecomp_11253.cc
if not exist clb_fsize.o goto notinlib
mv clb_fsize.o ../OBJW32
ar.bat ../OBJW32 clb_fsize.o W32 > vs_tv_ecomp_11253.ar
:notinlib

The script compiles a source using some includes and adds it to a library. All this stuff is located
on a network device mounted using samba.

The script runs about 5 times correct and aborts then starting every command with the message :

	The Application can't be initialized correct (0x0000022). 
	          Press 'OK' to finish the Application

Pressing OK starts the next command of the script, wich results in the same error.

Does anybody know about this problem ?

Thanks in advance,

Thomas

Thomas Vetter ([email-masked] or http://thomasvetter.aat-f.aeg-f.de)
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".